exec("./list.cs");
exec("./gui.cs");

function AvatarFavoritesGui::onWake(%this)
{
	AvatarFavoritesGui_List.update();
	updateAvatarPrefsList();
}

function AvatarFavoritesGui::doSave(%this, %text)
{
	%fo = new fileObject();

	%fo.openForWrite("config/client/AvatarFavorites/" @ %text @ ".cs");

	%count = -1;

	while($Avatar::PrefName[%count++] !$= "")
		%fo.writeLine($Avatar::PrefName[%count] SPC "=" SPC "\"" @ $Avatar::Pref[%count] @ "\";");

	%fo.close();
	%fo.delete();

	AvatarFavoritesGui_List.update();
}

function AvatarFavoritesGui::doLoad(%this, %text)
{
	%fo = new fileObject();

	%fo.openForRead("config/client/AvatarFavorites/" @ %text @ ".cs");

	while(!%fo.isEOF())
	{
		%line = %fo.readLine();
		
		eval(%line);
	}

	%fo.close();
	%fo.delete();

	Avatar_UpdatePreview();
}

if(!isObject(AvatarGui_SavesButton))
{
	%savesButton = new GuiBitmapButtonCtrl(AvatarGui_SavesButton)
	{
		profile = "BlockButtonProfile";
		horizSizing = "relative";
		vertSizing = "relative";
		position = "132 3";
		extent = "52 19";
		minExtent = "8 2";
		enabled = "1";
		visible = "1";
		clipToParent = "1";
		command = "Canvas.pushDialog(AvatarFavorites);";
		text = "Saves";
		groupNum = "-1";
		buttonType = "PushButton";
		bitmap = "base/client/ui/button1";
		lockAspectRatio = "0";
		alignLeft = "0";
		alignTop = "0";
		overflowImage = "0";
		mKeepCached = "0";
		mColor = "255 255 255 255";
	};
	Avatar_Window.add(%savesButton);
}