exec("./AvatarFavorites.gui");

function AvatarFavoritesGui_List::update(%this)
{
	%this.clear();
	setModPaths(getModPaths());

	%count = getFileCount("config/client/AvatarFavorites/*.cs");

	for(%i = 0; %i < %count; %i++)
		%this.addRow(%i, strReplace(fileBase(findNextFile("config/client/AvatarFavorites/*.cs")),"_"," "));

	updateAvatarPrefsList();

	for(%i = 0; %i < 10; %i++)
	{
		eval("%pos[%i] = Avatar_FavButton" @ %i @ ".position;");
		eval("Avatar_FavButton" @ %i @ ".delete();");

		if(isFile("config/client/AvatarFavorites/" @ %i @ ".cs"))
			%color[%i] = "255 255 255 255";
		else
			%color[%i] = "255 255 255 128";

		%temp = new GuiBitmapButtonCtrl(Avatar_FavButton @ %i)
		{
			profile = "BlockButtonProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = %pos[%i];
			extent = "19 19";
			minExtent = "8 2";
			enabled = "1";
			visible = "1";
			clipToParent = "1";
			command = "AvatarGui.clickFav(" @ %i @ ");";
			accelerator = "1";
			text = %i;
			groupNum = "-1";
			buttonType = "PushButton";
			bitmap = "base/client/ui/button2";
			lockAspectRatio = "0";
			alignLeft = "0";
			alignTop = "0";
			overflowImage = "0";
			mKeepCached = "0";
			mColor = %color[%i];
		};
		Avatar_Window.add(%temp);
	}
}

function AvatarFavoritesGui_List::onSelect(%this)
{
	%rowID = %this.getSelectedID();
	%rowText = %this.getRowTextByID(%rowID);
	AvatarFavoritesGui_FileName.setValue(%rowText);
}

function AvatarFavoritesGui_Save(%text)
{
	if(!isObject(AvatarFavorites))
		new scriptObject(BetterAvatarFavorites);

	%text = strReplace(strReplace(%text,"/","_")," ","_");

	AvatarFavoritesGui.doSave(%text);
	AvatarFavoritesGui_List.update();
}

function AvatarFavoritesGui_Load(%text)
{
	if(!isObject(AvatarFavorites))
		new scriptObject(BetterAvatarFavorites);

	%text = strReplace(AvatarFavoritesGui_FileName.getValue()," ","_");
	AvatarFavoritesGui.favoritesName = %text;

	AvatarFavoritesGui.doLoad(%text);
	AvatarFavoritesGui_List.update();
}

function AvatarFavoritesGui_Delete(%text)
{
	%text = "\"" @ %text @ "\"";
	MessageBoxYesNo("Delete this file?", "Are you sure you want to delete this file?", "deleteAvatarFile(" @ %text @ ");");
}

function deleteAvatarFile(%text)
{
	%text = strReplace(%text, " ", "_");
	%path = "config/client/AvatarFavorites/" @ %text @ ".cs";

	if(isFile(%path))
		fileDelete(%path);

	setModPaths(getModPaths());
	AvatarFavoritesGui_List.update();
}